Update Static Account

Function to update the bvn details for a specific virtual account.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This function is used by the merchant to be able to update a static virtual account to correct the bank verification number (BVN) assigned to it.

Parameters

Headers

HeaderValueRequired
AuthorizationBearer <Bearer_Token> Generated during the authenticate requestYes
Content-Typeapplication/jsonYes
apikeyapp consumer keyYes

Request

Parameter NameTypeDescriptionRequired
merchant_referencestringThis is a uniqueID on merchant’s end for every request to generate a static accountNo
service_codestringThe customer’s unique code to identify the merchant on checkout.Yes
virtual_accountstringThis is the static account a merchant generated on behalf of the customers.Yes
bvnstringThe bank of Nigeria verification number issued to the merchant or customer.Yes

Request Body

{
	"merchant_reference" : "1234556S",
  "virtual_account": "833123495",
  "service_code": "JOHNDOEONLINE",
  "bvn": "1636867868"
}

Response

Parameter NameTypeDescription
statusJSONObjectContains status code and description
status_codeIntegerThe response status code
status_descriptionstringExact description of the status
resultsJSONObjectThis is an array containing details of the results of the request being processed

Response Body

{
 "status" : {
  	"status_code" : 1,
    "status_description" : "SUCCESSFULLY_UPDATED"
  },
  "results" : null
}

Status Codes

Status CodeDescription
1Success. Checkout request successfully logged in the checkout platform.
200Success. Checkout request successfully logged in the checkout platform.
500Failure. Generic failure occurred. Could be as a result of a system failure on the checkout platform.
503Server could not process your request. Try later.
Body Params
string
required

The actual Virtual account generated and issued to customer

string
required

The Cellulant identification code given to you during onboarding or integration

string
required

The bank of Nigeria verification number issued to the merchant or customer

string

Unique identification used by the merchant during virtual account service creation

Headers
string
required
Defaults to Bearer <BEARER_TOKEN>

Generated during the authenticate request

string
required
Defaults to your_api_key

app consumer key

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json